#
# spec file for package love
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_without mpg123
Name:           love
Version:        0.10.2
Release:        5.1
Summary:        2D gaming engine written in Lua
License:        Zlib
Group:          Development/Languages/Other
Url:            http://love2d.org/
Source:         https://bitbucket.org/rude/love/downloads/%{name}-%{version}-linux-src.tar.gz
Patch0:         love.mpg123.patch
Requires(pre):  desktop-file-utils
Requires(pre):  shared-mime-info
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  hicolor-icon-theme
BuildRequires:  libtool
BuildRequires:  physfs-devel
BuildRequires:  pkgconfig
BuildRequires:  shared-mime-info
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(IL)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(libenet)
BuildRequires:  pkgconfig(libmodplug)
BuildRequires:  pkgconfig(luajit)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(theora)
BuildRequires:  pkgconfig(vorbisfile)
%if %{with mpg123}
BuildRequires:  pkgconfig(libmpg123)
%endif

%description
LÖVE is a framework for making 2D games in Lua.

%prep
%setup -q
%patch0 -p1
sed -i 's/\r$//' *.txt

%build
autoreconf -fi
%configure \
%if %{without mpg123}
	--disable-mpg123 \
%endif
	--disable-static
make %{?_smp_mflags}

%install
make %{?_smp_mflags} DESTDIR=%{buildroot} install
rm "%{buildroot}%{_libdir}/liblove.la" "%{buildroot}%{_libdir}/liblove.so"

%post
/sbin/ldconfig
%desktop_database_post
%icon_theme_cache_post
%mime_database_post

%postun
/sbin/ldconfig
%desktop_database_postun
%icon_theme_cache_postun
%mime_database_postun

%files
%defattr(-,root,root)
%doc changes.txt license.txt readme.md
%{_bindir}/love
%{_libdir}/liblove.so.*
%{_datadir}/applications/love.desktop
%{_mandir}/man1/love.1*
%{_datadir}/icons/hicolor/scalable/mimetypes/application-x-love-game.svg
%{_datadir}/mime/packages/love.xml
%{_datadir}/pixmaps/love.svg

%changelog
* Mon Apr 17 2017 olaf@aepfle.de
- Build with mpg123 unconditionally, add love.mpg123.patch
- Run autoreconf
- Add Requires(pre) as needed
* Sat Jan 21 2017 prusnak@opensuse.org
- Update to version 0.10.2
* Thu Jul 28 2016 rpm@fthiessen.de
- Dropped unneeded devel package
- Removed now unneeded love-modplug.patch
* Thu Jul 28 2016 rpm@fthiessen.de
- Update to version 0.10.1
* Thu Mar  5 2015 stefan@fam-elser.de
- update to version 0.9.2
* Sun Sep 14 2014 mailaender@opensuse.org
- update to version 0.9.1
- added -devel package to solve the rpmlint error
- added post script macros for desktop, icon and mime
* Sun Dec 15 2013 prusnak@opensuse.org
- updated to 0.9.0
  * Added three new modules: love.window, love.math, and love.system.
  * Reworked the love.joystick and love.thread modules.
  * Added new features to love.graphics, including polygon meshes and vertex shaders.
  * Integrated the ENet networking library via lua-enet.
  * Renamed many functions to be more consistent with the rest of the API.
  * Improved the performance of several APIs in love.graphics.
  * And a lot more!
- dropped remove-mpg123.patch (applied upstream)
* Sun Feb 17 2013 jengelh@inai.de
- Sanitize description to not read like an ad. Use project's
  actual name with diacritic marks.
- Use more robust make install call.
* Sun Apr 15 2012 prusnak@opensuse.org
- updated to 0.8.0 release
- removed unneeded_deps.patch (applied upstream)
* Thu Mar 22 2012 reddwarf@opensuse.org
- make MP3 support optional
- change licence to follow SPDX
- remove unneded libmng-devel and libtiff-devel build dependencies
- use pkgconfig() style build dependencies
- remove love-modplug.patch for >= 12.1
- force lua 5.1 and add autotools BT to fix Factory build
* Sun Mar 11 2012 prusnak@opensuse.org
- update to mercurial tip (upcoming 0.8.0)
* Tue Sep 13 2011 jmatejek@suse.com
- build fix - added devel dependencies for DevIL
- standard group name
* Wed Jun 22 2011 prusnak@opensuse.org
- created package (version 0.7.2)
